tigase.xmpp.impl

## Class SimpleForwarder

- java.lang.Object
- - tigase.xmpp.XMPPProcessor
  - - tigase.xmpp.impl.SimpleForwarder

- All Implemented Interfaces:
    Comparable<XMPPImplIfc>, XMPPImplIfc, XMPPProcessorIfc
  Direct Known Subclasses:
    IBB, JabberIqOOB, JabberIqSi, JabberIqSocks5Bytestreams

      public abstract class SimpleForwarder
      extends XMPPProcessor
      implements XMPPProcessorIfc

  Describe class SimpleForwarder here. Created: Sat Jan 13 16:58:41 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.xmpp.XMPPProcessor

      `ALL_NAMES, ALL_PATHS, cmpInfo`

    - ### Fields inherited from interface tigase.xmpp.XMPPImplIfc

      `CLIENT_XMLNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleForwarder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)` Describe `process` method here.

    - ### Methods inherited from class tigase.xmpp.XMPPProcessor

      `canHandle, compareTo, concurrentQueuesNo, concurrentThreadsPerQueue, getComponentInfo, getInstance, getStatistics, init, isSupporting, supDiscoFeatures, supElementNamePaths, supElements, supNamespaces, supStreamFeatures, supTypes, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tigase.xmpp.XMPPImplIfc

      `canHandle, concurrentQueuesNo, concurrentThreadsPerQueue, getComponentInfo, getStatistics, id, init, isSupporting, supDiscoFeatures, supElementNamePaths, supElements, supNamespaces, supStreamFeatures, supTypes`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Constructor Detail

    - #### SimpleForwarder

          public SimpleForwarder()

  - ### Method Detail

    - #### process

          public void process(Packet packet,
                     XMPPResourceConnection session,
                     NonAuthUserRepository repo,
                     Queue<Packet> results,
                     Map<String,Object> settings)
                       throws XMPPException

      Describe `process` method here.
      Specified by:
        `process` in interface `XMPPProcessorIfc`
      Parameters:
        `packet` - a `Packet` value
        `session` - a `XMPPResourceConnection` value
        `repo` - a `NonAuthUserRepository` value
        `results` - a `Queue` value
        `settings` -
      Throws:
        `XMPPException`

Copyright © 2014 "Tigase, Inc.". All rights reserved.